import { z } from 'zod';

export const LinkedRecordSchema = z.object({
  repository: z.string().describe('Repository').optional(),
  pk: z.string().describe('Pk').optional(),
  number: z.string().describe('Number').optional(),
  isSource: z.boolean().describe('Whether source').optional(),
});

export type LinkedRecord = z.infer<typeof LinkedRecordSchema>;
